function blacklist_adddel_callback(res,username,email,del,id)
{
	if(!res) {
		var mess = del?"Ошибка удаления "+username+" из Черного списка!":"Ошибка добавления "+username+" в Черный список!";
		alert(mess);
		return;
	}
	var link = $("blacklist_href_"+id);
	if(!link) return;
	var img = link.firstChild;
	if(!img) return;
	if(del) {
		if(img.tagName=="IMG") {
			img.src = img.src.replace("ico_del_","ico_add_");
			link.href = link.href.replace(/&delete=1/,"");
		}
		else {
			link.className=link.className.replace(/icoBlogBlackListIn/,"icoBlogBlackListOut");
			link.href = link.href.replace(/delete([=_])/g,"add$1");
		}
		link.title = "Добавить в черный список";
		link.onclick = function() { return blacklist_adddel(username,email,0,id); };
	}
	else {
		if(img.tagName=="IMG") {
			img.src = img.src.replace("ico_add_","ico_del_"); 
			link.href = link.href + "&delete=1";
		}
		else {
			link.className=link.className.replace(/icoBlogBlackListOut/,"icoBlogBlackListIn");
			link.href = link.href.replace(/add([=_])/g,"delete$1");
		}
		link.title = "Удалить из черного списка";
		link.onclick = function() { return blacklist_adddel(username,email,1,id); };
	}
}

function blacklist_adddel(username,email,del,id)
{
	var mess = del?"Удалить "+username+" из Черного списка?":"Добавить "+username+" в Черный список?";
    if (!confirm(mess)) return false;
	if(typeof perl_add_blacklist=="undefined") return true;
	perl_add_blacklist(username,email,del,id,blacklist_adddel_callback);
	return false;
}
